Index: src/northbridge/amd/amdk8/setup_resource_map.c
===================================================================
--- src/northbridge/amd/amdk8/setup_resource_map.c	(revision 3942)
+++ src/northbridge/amd/amdk8/setup_resource_map.c	(working copy)
@@ -5,7 +5,7 @@
 	int i;
 //      print_debug("setting up resource map offset....");
 #if 0
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	for(i = 0; i < max; i += 3) {
 		device_t dev;
@@ -13,12 +13,12 @@
 		unsigned long reg;
 #if 0
 	#if CONFIG_USE_PRINTK_IN_CAR
-		prink_debug("%08x <- %08x\r\n", register_values[i] +  offset_pci_dev, register_values[i+2]);
+		printk_debug("%08x <- %08x\n", register_values[i] +  offset_pci_dev, register_values[i+2]);
 	#else
 		print_debug_hex32(register_values[i] + offset_pci_dev);
 		print_debug(" <-");
 		print_debug_hex32(register_values[i+2]);
-		print_debug("\r\n");
+		print_debug("\n");
 	#endif
 #endif
 		dev = (register_values[i] & ~0xfff) + offset_pci_dev;
@@ -34,7 +34,7 @@
 		pci_write_config32(register_values[i], reg);
 #endif
 	}
-//      print_debug("done.\r\n");
+//      print_debug("done.\n");
 }
 
 #define RES_PCI_IO 0x10
@@ -52,12 +52,12 @@
 #endif
 
 #if RES_DEBUG
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	for(i = 0; i < max; i += 4) {
 #if RES_DEBUG
 	#if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("%04x: %02x %08x <- & %08x | %08x\r\n",
+		printk_debug("%04x: %02x %08x <- & %08x | %08x\n",
 			i>>2, register_values[i],
 			register_values[i+1] + ( (register_values[i]==RES_PCI_IO) ? offset_pci_dev : 0),
 			register_values[i+2],
@@ -75,7 +75,7 @@
 		print_debug_hex32(register_values[i+3] +
 			(((register_values[i] & RES_PORT_IO_32) == RES_PORT_IO_32) ? offset_io_base : 0)
 			);
-		print_debug("\r\n");
+		print_debug("\n");
 	#endif
 #endif
 		switch (register_values[i]) {
@@ -134,7 +134,7 @@
 	}
 
 #if RES_DEBUG
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 #endif
 }
 static void setup_resource_map_x(const unsigned int *register_values, int max)
@@ -147,12 +147,12 @@
 #endif
 
 #if RES_DEBUG
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	for(i = 0; i < max; i += 4) {
 #if RES_DEBUG
 	#if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("%04x: %02x %08x <- & %08x | %08x\r\n",
+		printk_debug("%04x: %02x %08x <- & %08x | %08x\n",
 			i/4, register_values[i],register_values[i+1], register_values[i+2], register_values[i+3]);
 	#else
 		print_debug_hex16(i/4);
@@ -164,7 +164,7 @@
 		print_debug_hex32(register_values[i+2]);
 		print_debug(" | ");
 		print_debug_hex32(register_values[i+3]);
-		print_debug("\r\n");
+		print_debug("\n");
 	#endif
 #endif
 		switch (register_values[i]) {
@@ -223,7 +223,7 @@
 	}
 
 #if RES_DEBUG
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 #endif
 }
 
@@ -258,7 +258,7 @@
 		print_debug(" -> ");
 		reg = inb(where);
 		print_debug_hex8(reg);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 	}
 }
@@ -297,7 +297,7 @@
 		print_debug(" -> ");
 		reg = inl(where);
 		print_debug_hex32(reg);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 	}
 }
@@ -324,7 +324,7 @@
 		print_debug(" RB ");
 		reg = read32(where);
 		print_debug_hex32(reg);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 	}
 }
Index: src/northbridge/amd/amdk8/northbridge.c
===================================================================
--- src/northbridge/amd/amdk8/northbridge.c	(revision 3942)
+++ src/northbridge/amd/amdk8/northbridge.c	(working copy)
@@ -1247,7 +1247,7 @@
 				       e0_later_single_core = 0;
 	       			}
 				if(e0_later_single_core) {
-					printk_debug("\tFound Rev E or Rev F later single core\r\n");
+					printk_debug("\tFound Rev E or Rev F later single core\n");
 
 					j=1;
 				}
Index: src/northbridge/amd/amdk8/raminit_f_dqs.c
===================================================================
--- src/northbridge/amd/amdk8/raminit_f_dqs.c	(revision 3942)
+++ src/northbridge/amd/amdk8/raminit_f_dqs.c	(working copy)
@@ -30,7 +30,7 @@
 {
 #if DQS_TRAIN_DEBUG > 0
 	if(DQS_TRAIN_DEBUG > level) {
-		printk_debug("%s%x\r\n", str, val);
+		printk_debug("%s%x\n", str, val);
 	}
 #endif
 }
@@ -39,7 +39,7 @@
 {
 #if DQS_TRAIN_DEBUG > 0
 	if(DQS_TRAIN_DEBUG > level) {
-		printk_debug("%s%08x%s%08x\r\n", str, val, str2, val2);
+		printk_debug("%s%08x%s%08x\n", str, val, str2, val2);
 	}
 #endif
 }
@@ -48,14 +48,14 @@
 {
 #if DQS_TRAIN_DEBUG > 0
 	if(DQS_TRAIN_DEBUG > level) {
-		printk_debug("%s[%02x]=%08x%08x\r\n", str, i, val, val2);
+		printk_debug("%s[%02x]=%08x%08x\n", str, i, val, val2);
 	}
 #endif
 }
 
 static inline void print_debug_dqs_tsc_x(const char *str, unsigned i, unsigned val, unsigned val2)
 {
-	printk_debug("%s[%02x]=%08x%08x\r\n", str, i, val, val2);
+	printk_debug("%s[%02x]=%08x%08x\n", str, i, val, val2);
 
 }
 
@@ -586,7 +586,7 @@
 		}
 	}
 
-	print_debug_dqs("\r\nTrainRcvEn: 0 ctrl", ctrl->node_id, 0);
+	print_debug_dqs("\nTrainRcvEn: 0 ctrl", ctrl->node_id, 0);
 
 	print_debug_addr("TrainRcvEn: buf_a:", buf_a);
 
@@ -1404,7 +1404,7 @@
 
 	}
 
-	print_debug_dqs("\r\nTrainDQSRdWrPos: 0 ctrl ", ctrl->node_id, 0);
+	print_debug_dqs("\nTrainDQSRdWrPos: 0 ctrl ", ctrl->node_id, 0);
 
 	printk_debug("TrainDQSRdWrPos: buf_a:%p\n", buf_a);
 
@@ -1528,25 +1528,25 @@
 
 static unsigned train_DqsRcvrEn(const struct mem_controller *ctrl, unsigned Pass, struct sys_info *sysinfo)
 {
-	print_debug_dqs("\r\ntrain_DqsRcvrEn: begin ctrl ", ctrl->node_id, 0);
+	print_debug_dqs("\ntrain_DqsRcvrEn: begin ctrl ", ctrl->node_id, 0);
 	if(TrainRcvrEn(ctrl, Pass, sysinfo)) {
 		return 1;
 	}
-	print_debug_dqs("\r\ntrain_DqsRcvrEn: end ctrl ", ctrl->node_id, 0);
+	print_debug_dqs("\ntrain_DqsRcvrEn: end ctrl ", ctrl->node_id, 0);
 	return 0;
 
 }
 static unsigned train_DqsPos(const struct mem_controller *ctrl, struct sys_info *sysinfo)
 {
-	print_debug_dqs("\r\ntrain_DqsPos: begin ctrl ", ctrl->node_id, 0);
+	print_debug_dqs("\ntrain_DqsPos: begin ctrl ", ctrl->node_id, 0);
 	if(TrainDQSRdWrPos(ctrl, sysinfo) != 0) {
-		printk_err("\r\nDQS Training Rd Wr failed ctrl%02x\r\n", ctrl->node_id);
+		printk_err("\nDQS Training Rd Wr failed ctrl%02x\n", ctrl->node_id);
 		return 1;
 	}
 	else {
 		SetEccDQSRdWrPos(ctrl, sysinfo);
 	}
-	print_debug_dqs("\r\ntrain_DqsPos: end ctrl ", ctrl->node_id, 0);
+	print_debug_dqs("\ntrain_DqsPos: end ctrl ", ctrl->node_id, 0);
 	return 0;
 
 }
@@ -1703,7 +1703,7 @@
 		}
 		sizek = 1 << align;
 #if MEM_TRAIN_SEQ != 1
-		printk_debug("Setting variable MTRR %d, base: %4dMB, range: %4dMB, type %s\r\n",
+		printk_debug("Setting variable MTRR %d, base: %4dMB, range: %4dMB, type %s\n",
 			reg, range_startk >>10, sizek >> 10,
 			(type==MTRR_TYPE_UNCACHEABLE)?"UC":
 			    ((type==MTRR_TYPE_WRBACK)?"WB":"Other")
@@ -1858,7 +1858,7 @@
 
 		printk_debug("DQS Training:RcvrEn:Pass1: %02x\n", i);
 		if(train_DqsRcvrEn(ctrl+i, 1, sysinfo)) goto out;
-       		printk_debug(" done\r\n");
+       		printk_debug(" done\n");
 	}
 
 	tsc[1] = rdtsc();
@@ -1876,7 +1876,7 @@
 
 		printk_debug("DQS Training:DQSPos: %02x\n", i);
 		if(train_DqsPos(ctrl+i, sysinfo)) goto out;
-		printk_debug(" done\r\n");
+		printk_debug(" done\n");
 	}
 
 	tsc[3] = rdtsc();
@@ -1889,7 +1889,7 @@
 
 		printk_debug("DQS Training:RcvrEn:Pass2: %02x\n", i);
 		if(train_DqsRcvrEn(ctrl+i, 2, sysinfo)) goto out;
-		printk_debug(" done\r\n");
+		printk_debug(" done\n");
 		sysinfo->mem_trained[i]=1;
 	}
 
@@ -1938,7 +1938,7 @@
 	}
 
 	if(v) {
-		printk_debug(" done\r\n");
+		printk_debug(" done\n");
 		tsc[1] = rdtsc();
 		printk_debug("set DQS timing:DQSPos: %02x\n", i);
 	}
@@ -1949,7 +1949,7 @@
 	}
 
 	if(v) {
-		printk_debug(" done\r\n");
+		printk_debug(" done\n");
 		tsc[2] = rdtsc();
 
 		printk_debug("set DQS timing:RcvrEn:Pass2: %02x\n", i);
@@ -1960,7 +1960,7 @@
 	}
 
 	if(v) {
-		printk_debug(" done\r\n");
+		printk_debug(" done\n");
 
 		tsc[3] = rdtsc();
 	}
Index: src/northbridge/amd/amdk8/debug.c
===================================================================
--- src/northbridge/amd/amdk8/debug.c	(revision 3942)
+++ src/northbridge/amd/amdk8/debug.c	(working copy)
@@ -7,9 +7,9 @@
 {
 #if CACHE_AS_RAM_ADDRESS_DEBUG == 1
 	#if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("------Address debug: %s%x------\r\n", str, val);
+		printk_debug("------Address debug: %s%x------\n", str, val);
 	#else
-		print_debug ("------Address debug: "); print_debug(str); print_debug_hex32(val); print_debug("------\r\n");
+		print_debug ("------Address debug: "); print_debug(str); print_debug_hex32(val); print_debug("------\n");
 	#endif
 #endif
 }
@@ -44,11 +44,11 @@
 		}
 		print_debug_pci_dev(dev);
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug(" %04x:%04x\r\n", (id & 0xffff), (id>>16));
+		printk_debug(" %04x:%04x\n", (id & 0xffff), (id>>16));
 #else
 		print_debug(" ");
 		print_debug_hex32(id);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 		if(((dev>>12) & 0x07) == 0) {
 			uint8_t hdr_type;
@@ -69,9 +69,9 @@
 		unsigned char val;
 		if ((i & 0x0f) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk_debug("\r\n%02x:",i);
+			printk_debug("\n%02x:",i);
 #else
-			print_debug("\r\n");
+			print_debug("\n");
 			print_debug_hex8(i);
 			print_debug_char(':');
 #endif
@@ -84,7 +84,7 @@
 		print_debug_hex8(val);
 #endif
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 #if K8_REV_F_SUPPORT == 1
@@ -99,9 +99,9 @@
 		uint32_t val;
 		int j;
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("\r\n%02x:",i);
+		printk_debug("\n%02x:",i);
 #else
-		print_debug("\r\n");
+		print_debug("\n");
 		print_debug_hex8(i);
 		print_debug_char(':');
 #endif
@@ -116,7 +116,7 @@
 		}
 
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 #endif
 
@@ -178,7 +178,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -197,9 +197,9 @@
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-					printk_debug("\r\n%02x: ", j);
+					printk_debug("\n%02x: ", j);
 #else
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 #endif
@@ -216,7 +216,7 @@
 				print_debug_char(' ');
 #endif
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -234,9 +234,9 @@
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-					printk_debug("\r\n%02x: ", j);
+					printk_debug("\n%02x: ", j);
 #else
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 #endif
@@ -253,14 +253,14 @@
 				print_debug_char(' ');
 #endif
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
 static void dump_smbus_registers(void)
 {
 	unsigned device;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(device = 1; device < 0x80; device++) {
 		int j;
 		if( smbus_read_byte(device, 0) < 0 ) continue;
@@ -279,9 +279,9 @@
 			}
 			if ((j & 0xf) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-				printk_debug("\r\n%02x: ",j);
+				printk_debug("\n%02x: ",j);
 #else
-				print_debug("\r\n");
+				print_debug("\n");
 				print_debug_hex8(j);
 				print_debug(": ");
 #endif
@@ -294,7 +294,7 @@
 			print_debug_char(' ');
 #endif
 		}
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 #endif
@@ -305,10 +305,10 @@
 	int i;
 	udelay(2000);
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk_debug("%04x:\r\n", port);
+	printk_debug("%04x:\n", port);
 #else
 	print_debug_hex16(port);
-	print_debug(":\r\n");
+	print_debug(":\n");
 #endif
 	for(i=0;i<256;i++) {
 		uint8_t val;
@@ -328,7 +328,7 @@
 		print_debug_hex8(val);
 #endif
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		port++;
 	}
@@ -341,9 +341,9 @@
 	for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk_debug("\r\n%08x:", i);
+			printk_debug("\n%08x:", i);
 #else
-			print_debug("\r\n");
+			print_debug("\n");
 			print_debug_hex32(i);
 			print_debug(":");
 #endif
@@ -355,6 +355,6 @@
 	     	print_debug_hex8((unsigned char)*((unsigned char *)i));
 #endif
 	}
-	print_debug("\r\n");
+	print_debug("\n");
  }
 #endif
Index: src/northbridge/amd/amdk8/incoherent_ht.c
===================================================================
--- src/northbridge/amd/amdk8/incoherent_ht.c	(revision 3942)
+++ src/northbridge/amd/amdk8/incoherent_ht.c	(working copy)
@@ -30,7 +30,7 @@
 
 static inline void print_linkn_in (const char *strval, uint8_t byteval)
 {
-	printk_debug("%s%02x\r\n", strval, byteval);
+	printk_debug("%s%02x\n", strval, byteval);
 }
 
 static uint8_t ht_lookup_capability(device_t dev, uint16_t val)
@@ -131,7 +131,7 @@
 	uint32_t id;
 
 	freq_cap = pci_read_config16(dev, pos);
-	printk_spew("pos=0x%x, unfiltered freq_cap=0x%x\r\n", pos, freq_cap);
+	printk_spew("pos=0x%x, unfiltered freq_cap=0x%x\n", pos, freq_cap);
 	freq_cap &= ~(1 << HT_FREQ_VENDOR); /* Ignore Vendor HT frequencies */
 
 	id = pci_read_config32(dev, 0);
@@ -161,8 +161,8 @@
 	#endif
 	}
 
-	printk_spew("pos=0x%x, filtered freq_cap=0x%x\r\n", pos, freq_cap);
-	//printk_spew("capping to 800/600/400/200 MHz\r\n");
+	printk_spew("pos=0x%x, filtered freq_cap=0x%x\n", pos, freq_cap);
+	//printk_spew("capping to 800/600/400/200 MHz\n");
 	//freq_cap &= 0x3f;
 	return freq_cap;
 }
@@ -224,14 +224,14 @@
 	int needs_reset;
 	/* Set link width and frequency */
 
-	printk_spew("entering ht_optimize_link\r\n");
+	printk_spew("entering ht_optimize_link\n");
 	/* Initially assume everything is already optimized and I don't need a reset */
 	needs_reset = 0;
 
 	/* Get the frequency capabilities */
 	freq_cap1 = ht_read_freq_cap(dev1, pos1 + LINK_FREQ_CAP(offs1));
 	freq_cap2 = ht_read_freq_cap(dev2, pos2 + LINK_FREQ_CAP(offs2));
-	printk_spew("freq_cap1=0x%x, freq_cap2=0x%x\r\n", freq_cap1, freq_cap2);
+	printk_spew("freq_cap1=0x%x, freq_cap2=0x%x\n", freq_cap1, freq_cap2);
 
 	/* Calculate the highest possible frequency */
 	freq = log2(freq_cap1 & freq_cap2);
@@ -240,11 +240,11 @@
 	old_freq = pci_read_config8(dev1, pos1 + LINK_FREQ(offs1));
 	old_freq &= 0x0f;
 	needs_reset |= old_freq != freq;
-	printk_spew("dev1 old_freq=0x%x, freq=0x%x, needs_reset=0x%0x\r\n", old_freq, freq, needs_reset);
+	printk_spew("dev1 old_freq=0x%x, freq=0x%x, needs_reset=0x%0x\n", old_freq, freq, needs_reset);
 	old_freq = pci_read_config8(dev2, pos2 + LINK_FREQ(offs2));
 	old_freq &= 0x0f;
 	needs_reset |= old_freq != freq;
-	printk_spew("dev2 old_freq=0x%x, freq=0x%x, needs_reset=0x%0x\r\n", old_freq, freq, needs_reset);
+	printk_spew("dev2 old_freq=0x%x, freq=0x%x, needs_reset=0x%0x\n", old_freq, freq, needs_reset);
 
 	/* Set the Calculated link frequency */
 	pci_write_config8(dev1, pos1 + LINK_FREQ(offs1), freq);
@@ -253,45 +253,45 @@
 	/* Get the width capabilities */
 	width_cap1 = ht_read_width_cap(dev1, pos1 + LINK_WIDTH(offs1));
 	width_cap2 = ht_read_width_cap(dev2, pos2 + LINK_WIDTH(offs2));
-	printk_spew("width_cap1=0x%x, width_cap2=0x%x\r\n", width_cap1, width_cap2);
+	printk_spew("width_cap1=0x%x, width_cap2=0x%x\n", width_cap1, width_cap2);
 
 	/* Calculate dev1's input width */
 	ln_width1 = link_width_to_pow2[width_cap1 & 7];
 	ln_width2 = link_width_to_pow2[(width_cap2 >> 4) & 7];
-	printk_spew("dev1 input ln_width1=0x%x, ln_width2=0x%x\r\n", ln_width1, ln_width2);
+	printk_spew("dev1 input ln_width1=0x%x, ln_width2=0x%x\n", ln_width1, ln_width2);
 	if (ln_width1 > ln_width2) {
 		ln_width1 = ln_width2;
 	}
 	width = pow2_to_link_width[ln_width1];
-	printk_spew("dev1 input width=0x%x\r\n", width);
+	printk_spew("dev1 input width=0x%x\n", width);
 	/* Calculate dev1's output width */
 	ln_width1 = link_width_to_pow2[(width_cap1 >> 4) & 7];
 	ln_width2 = link_width_to_pow2[width_cap2 & 7];
-	printk_spew("dev1 output ln_width1=0x%x, ln_width2=0x%x\r\n", ln_width1, ln_width2);
+	printk_spew("dev1 output ln_width1=0x%x, ln_width2=0x%x\n", ln_width1, ln_width2);
 	if (ln_width1 > ln_width2) {
 		ln_width1 = ln_width2;
 	}
 	width |= pow2_to_link_width[ln_width1] << 4;
-	printk_spew("dev1 input|output width=0x%x\r\n", width);
+	printk_spew("dev1 input|output width=0x%x\n", width);
 
 	/* See if I am changing dev1's width */
 	old_width = pci_read_config8(dev1, pos1 + LINK_WIDTH(offs1) + 1);
 	old_width &= 0x77;
 	needs_reset |= old_width != width;
-	printk_spew("old dev1 input|output width=0x%x\r\n", width);
+	printk_spew("old dev1 input|output width=0x%x\n", width);
 
 	/* Set dev1's widths */
 	pci_write_config8(dev1, pos1 + LINK_WIDTH(offs1) + 1, width);
 
 	/* Calculate dev2's width */
 	width = ((width & 0x70) >> 4) | ((width & 0x7) << 4);
-	printk_spew("dev2 input|output width=0x%x\r\n", width);
+	printk_spew("dev2 input|output width=0x%x\n", width);
 
 	/* See if I am changing dev2's width */
 	old_width = pci_read_config8(dev2, pos2 + LINK_WIDTH(offs2) + 1);
 	old_width &= 0x77;
 	needs_reset |= old_width != width;
-	printk_spew("old dev2 input|output width=0x%x\r\n", width);
+	printk_spew("old dev2 input|output width=0x%x\n", width);
 
 	/* Set dev2's widths */
 	pci_write_config8(dev2, pos2 + LINK_WIDTH(offs2) + 1, width);
@@ -491,7 +491,7 @@
 			print_err("udev="); print_err_hex32(udev);
 			print_err("\tupos="); print_err_hex32(upos);
 			print_err("\tuoffs="); print_err_hex32(uoffs);
-			print_err("\tHT link capability not found\r\n");
+			print_err("\tHT link capability not found\n");
 			break;
 		}
 
@@ -982,16 +982,16 @@
 
 	unsigned link_pair_num = sysinfo->link_pair_num;
 
-	printk_spew("entering optimize_link_incoherent_ht\r\n");
-	printk_spew("sysinfo->link_pair_num=0x%x\r\n", link_pair_num);
+	printk_spew("entering optimize_link_incoherent_ht\n");
+	printk_spew("sysinfo->link_pair_num=0x%x\n", link_pair_num);
 	for(i=0; i< link_pair_num; i++) {
 		struct link_pair_st *link_pair= &sysinfo->link_pair[i];
 		reset_needed |= ht_optimize_link(link_pair->udev, link_pair->upos, link_pair->uoffs, link_pair->dev, link_pair->pos, link_pair->offs);
-		printk_spew("after ht_optimize_link for link pair %d, reset_needed=0x%x\r\n", i, reset_needed);
+		printk_spew("after ht_optimize_link for link pair %d, reset_needed=0x%x\n", i, reset_needed);
 	}
 
 	reset_needed |= optimize_link_read_pointers_chain(sysinfo->ht_c_num);
-	printk_spew("after optimize_link_read_pointers_chain, reset_needed=0x%x\r\n", reset_needed);
+	printk_spew("after optimize_link_read_pointers_chain, reset_needed=0x%x\n", reset_needed);
 
 	return reset_needed;
 
Index: src/northbridge/intel/e7501/raminit.c
===================================================================
--- src/northbridge/intel/e7501/raminit.c	(revision 3942)
+++ src/northbridge/intel/e7501/raminit.c	(working copy)
@@ -38,7 +38,7 @@
 #endif
 
 #define E7501_SDRAM_MODE	(SDRAM_BURST_INTERLEAVED | SDRAM_BURST_4)
-#define SPD_ERROR			"Error reading SPD info\r\n"
+#define SPD_ERROR			"Error reading SPD info\n"
 
 // NOTE: This used to be 0x100000.
 //		 That doesn't work on systems where A20M# is asserted, because
@@ -484,7 +484,7 @@
 static void die_on_spd_error(int spd_return_value)
 {
 	if (spd_return_value < 0)
-		die("Error reading SPD info\r\n");
+		die("Error reading SPD info\n");
 }
 
 //----------------------------------------------------------------------------------
@@ -525,7 +525,7 @@
 	value = spd_read_byte(dimm_socket_address, SPD_NUM_DIMM_BANKS);
 	if (value < 0) goto hw_err;
 	if (value > 2) 
-		die("Bad SPD value\r\n");
+		die("Bad SPD value\n");
 	if (value == 2) {
 
 		pgsz.side2 = pgsz.side1;		// Assume symmetric banks until we know differently
@@ -758,7 +758,7 @@
 		spd_value = spd_read_byte(channel1_dimm, SPD_MODULE_ATTRIBUTES);
 		if (!(spd_value & MODULE_REGISTERED) || (spd_value < 0)) {
 			
-			print_debug("Skipping un-matched DIMMs - only dual-channel operation supported\r\n");
+			print_debug("Skipping un-matched DIMMs - only dual-channel operation supported\n");
 			continue;
 		}
 
@@ -783,11 +783,11 @@
 			dimm_mask |= ((1<<i) | (1<<(MAX_DIMM_SOCKETS_PER_CHANNEL + i)));
 		}
 		else
-			print_debug("Skipping un-matched DIMMs - only dual-channel operation supported\r\n");
+			print_debug("Skipping un-matched DIMMs - only dual-channel operation supported\n");
 #else
 		switch (bDualChannel) {
 		case 0:
-			print_debug("Skipping un-matched DIMMs - only dual-channel operation supported\r\n");
+			print_debug("Skipping un-matched DIMMs - only dual-channel operation supported\n");
 			break;
 		
 		default:
@@ -878,7 +878,7 @@
 
 				RAM_DEBUG_MESSAGE("    Sending RAM command to 0x");
 				RAM_DEBUG_HEX32(dimm_start_address + e7501_mode_bits);
-				RAM_DEBUG_MESSAGE("\r\n");
+				RAM_DEBUG_MESSAGE("\n");
 				read32(dimm_start_address + e7501_mode_bits);
 
 				// Set the start of the next DIMM
@@ -1025,10 +1025,10 @@
         RAM_DEBUG_HEX32(sz.side1);
         RAM_DEBUG_MESSAGE(" ");
         RAM_DEBUG_HEX32(sz.side2);
-        RAM_DEBUG_MESSAGE("\r\n");
+        RAM_DEBUG_MESSAGE("\n");
 
 		if (sz.side1 == 0)
-			die("Bad SPD value\r\n");
+			die("Bad SPD value\n");
 
 		total_dram_64M_multiple = configure_dimm_row_boundaries(ctrl, sz, total_dram_64M_multiple, i);
 	}
@@ -1114,7 +1114,7 @@
 		
 		uint8_t byte;
 
-		RAM_DEBUG_MESSAGE("Initializing ECC state...\r\n");
+		RAM_DEBUG_MESSAGE("Initializing ECC state...\n");
 		/* Initialize ECC bits , use ECC zero mode (new to 7501)*/
 		pci_write_config8(ctrl->d0, MCHCFGNS, 0x06);
 		pci_write_config8(ctrl->d0, MCHCFGNS, 0x07);
@@ -1126,7 +1126,7 @@
 		} while ( (byte & 0x08 ) == 0);
 
 		pci_write_config8(ctrl->d0, MCHCFGNS, byte & 0xfc);
-		RAM_DEBUG_MESSAGE("ECC state initialized.\r\n");	
+		RAM_DEBUG_MESSAGE("ECC state initialized.\n");	
 
 		/* Clear the ECC error bits */
 		pci_write_config8(ctrl->d0f1, DRAM_FERR, 0x03);
@@ -1382,7 +1382,7 @@
 		}
 	}
 	else
-		die("No CAS# latencies compatible with all DIMMs!!\r\n");
+		die("No CAS# latencies compatible with all DIMMs!!\n");
 
 	pci_write_config32(ctrl->d0, DRT, dram_timing);
 
@@ -1471,14 +1471,14 @@
 		die_on_spd_error(value);
 		value &= 0x7f;		// Mask off self-refresh bit
 		if(value > MAX_SPD_REFRESH_RATE) { 
-			print_err("unsupported refresh rate\r\n");
+			print_err("unsupported refresh rate\n");
 			continue;
 		}
 		
 		// Get the appropriate E7501 refresh mode for this DIMM
 		dimm_refresh_mode = refresh_rate_map[value];
 		if (dimm_refresh_mode > 7) {
-			print_err("unsupported refresh rate\r\n");
+			print_err("unsupported refresh rate\n");
 			continue;
 		}
 
@@ -1693,7 +1693,7 @@
 	uint32_t dword;
 	uint8_t maybe_strength_control;
 
-	RAM_DEBUG_MESSAGE("Setting RCOMP registers.\r\n");
+	RAM_DEBUG_MESSAGE("Setting RCOMP registers.\n");
 
 	/*enable access to the rcomp bar*/
 	dword = pci_read_config32(ctrl->d0, MAYBE_MCHTST);
@@ -1818,8 +1818,8 @@
 		return;
 
 	/* 1 & 2 Power up and start clocks */
-	RAM_DEBUG_MESSAGE("Ram Enable 1\r\n");
-	RAM_DEBUG_MESSAGE("Ram Enable 2\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 1\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 2\n");
 
 	/* A 200us delay is needed */
 
@@ -1827,23 +1827,23 @@
 	EXTRA_DELAY
 
 	/* 3. Apply NOP */
-	RAM_DEBUG_MESSAGE("Ram Enable 3\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 3\n");
 	do_ram_command(ctrl, RAM_COMMAND_NOP, 0);
 	EXTRA_DELAY
 
 	/* 4 Precharge all */
-	RAM_DEBUG_MESSAGE("Ram Enable 4\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 4\n");
 	do_ram_command(ctrl, RAM_COMMAND_PRECHARGE, 0);
 	EXTRA_DELAY
 	
 	/* wait until the all banks idle state... */
 	/* 5. Issue EMRS to enable DLL */
-	RAM_DEBUG_MESSAGE("Ram Enable 5\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 5\n");
 	do_ram_command(ctrl, RAM_COMMAND_EMRS, SDRAM_EXTMODE_DLL_ENABLE | SDRAM_EXTMODE_DRIVE_NORMAL);
 	EXTRA_DELAY
 	
 	/* 6. Reset DLL */
-	RAM_DEBUG_MESSAGE("Ram Enable 6\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 6\n");
 	set_ram_mode(ctrl, E7501_SDRAM_MODE | SDRAM_MODE_DLL_RESET);
 	EXTRA_DELAY
 
@@ -1855,12 +1855,12 @@
 	EXTRA_DELAY
 	
 	/* 7 Precharge all */
-	RAM_DEBUG_MESSAGE("Ram Enable 7\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 7\n");
 	do_ram_command(ctrl, RAM_COMMAND_PRECHARGE, 0);
 	EXTRA_DELAY
 	
 	/* 8 Now we need 2 AUTO REFRESH / CBR cycles to be performed */
-	RAM_DEBUG_MESSAGE("Ram Enable 8\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 8\n");
 	do_ram_command(ctrl, RAM_COMMAND_CBR, 0);
 	EXTRA_DELAY
 	do_ram_command(ctrl, RAM_COMMAND_CBR, 0);
@@ -1880,17 +1880,17 @@
 	EXTRA_DELAY
 
 	/* 9 mode register set */
-	RAM_DEBUG_MESSAGE("Ram Enable 9\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 9\n");
 	set_ram_mode(ctrl, E7501_SDRAM_MODE | SDRAM_MODE_NORMAL);
 	EXTRA_DELAY
 	
 	/* 10 DDR Receive FIFO RE-Sync */
-	RAM_DEBUG_MESSAGE("Ram Enable 10\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 10\n");
 	RAM_RESET_DDR_PTR(ctrl);
 	EXTRA_DELAY
 	
 	/* 11 normal operation */
-	RAM_DEBUG_MESSAGE("Ram Enable 11\r\n");
+	RAM_DEBUG_MESSAGE("Ram Enable 11\n");
 	do_ram_command(ctrl, RAM_COMMAND_NORMAL, 0);
 	EXTRA_DELAY
 
@@ -1910,7 +1910,7 @@
 	dram_controller_mode |= (1<<17);		// NOTE: undocumented reserved bit
 	pci_write_config32(ctrl->d0, DRC, dram_controller_mode);
 
-	RAM_DEBUG_MESSAGE("Northbridge following SDRAM init:\r\n");
+	RAM_DEBUG_MESSAGE("Northbridge following SDRAM init:\n");
 	DUMPNORTH();
 
 //	verify_ram();
@@ -1930,19 +1930,19 @@
 {
 	uint8_t dimm_mask;
 
-	RAM_DEBUG_MESSAGE("Reading SPD data...\r\n");
+	RAM_DEBUG_MESSAGE("Reading SPD data...\n");
 
    //activate_spd_rom(ctrl);	Not necessary for this chipset
 
     dimm_mask = spd_get_supported_dimms(ctrl);
 
 	if (dimm_mask == 0) {
-		print_debug("No usable memory for this controller\r\n");
+		print_debug("No usable memory for this controller\n");
     } else {
 
 		enable_e7501_clocks(ctrl, dimm_mask);
 
-		RAM_DEBUG_MESSAGE("setting based on SPD data...\r\n");
+		RAM_DEBUG_MESSAGE("setting based on SPD data...\n");
 
 		configure_e7501_row_attributes(ctrl, dimm_mask);
 		configure_e7501_dram_controller_mode(ctrl, dimm_mask);
@@ -1951,7 +1951,7 @@
 
 		configure_e7501_dram_timing(ctrl, dimm_mask);
 		DO_DELAY
-		RAM_DEBUG_MESSAGE("done\r\n");
+		RAM_DEBUG_MESSAGE("done\n");
 	}
 
 	// NOTE: configure_e7501_ram_addresses() is NOT called here.
@@ -1976,7 +1976,7 @@
 //
 static void sdram_set_registers(const struct mem_controller *ctrl)
 {
-	RAM_DEBUG_MESSAGE("Northbridge prior to SDRAM init:\r\n");
+	RAM_DEBUG_MESSAGE("Northbridge prior to SDRAM init:\n");
 	DUMPNORTH();
 
 	ram_set_rcomp_regs(ctrl);
Index: src/northbridge/intel/e7501/debug.c
===================================================================
--- src/northbridge/intel/e7501/debug.c	(revision 3942)
+++ src/northbridge/intel/e7501/debug.c	(working copy)
@@ -27,7 +27,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -40,9 +40,9 @@
 		unsigned char val;
 		if ((i & 0x0f) == 0) {
 #if CONFIG_USE_INIT
-                        printk_debug("\r\n%02x:",i);
+                        printk_debug("\n%02x:",i);
 #else
-			print_debug("\r\n");
+			print_debug("\n");
 			print_debug_hex8(i);
 			print_debug_char(':');
 #endif
@@ -55,7 +55,7 @@
 		print_debug_hex8(val);
 #endif
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void dump_pci_devices(void)
@@ -95,7 +95,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -114,9 +114,9 @@
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
 #if CONFIG_USE_INIT
-					printk_debug("\r\n%02x: ", j);
+					printk_debug("\n%02x: ", j);
 #else
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 #endif
@@ -133,7 +133,7 @@
 				print_debug_char(' ');
 #endif
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -151,9 +151,9 @@
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
 #if CONFIG_USE_INIT
-                                        printk_debug("\r\n%02x: ", j);
+                                        printk_debug("\n%02x: ", j);
 #else
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 #endif
@@ -170,14 +170,14 @@
 				print_debug_char(' ');
 #endif
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
 static void dump_smbus_registers(void)
 {
 	unsigned device;
-        print_debug("\r\n");
+        print_debug("\n");
         for(device = 1; device < 0x80; device++) {
                 int j;
 		if( smbus_read_byte(device, 0) < 0 ) continue;
@@ -196,9 +196,9 @@
                         }
                         if ((j & 0xf) == 0) {
 #if CONFIG_USE_INIT
-				printk_debug("\r\n%02x: ",j);
+				printk_debug("\n%02x: ",j);
 #else
-                	        print_debug("\r\n");
+                	        print_debug("\n");
                                 print_debug_hex8(j);
                                 print_debug(": ");
 #endif
@@ -211,7 +211,7 @@
                         print_debug_char(' ');
 #endif
                 }
-                print_debug("\r\n");
+                print_debug("\n");
 	}	
 }
 
@@ -220,10 +220,10 @@
 
 	int i;
 #if CONFIG_USE_INIT
-	printk_debug("%04x:\r\n", port);
+	printk_debug("%04x:\n", port);
 #else
         print_debug_hex16(port);
-        print_debug(":\r\n");
+        print_debug(":\n");
 #endif
         for(i=0;i<256;i++) {
                 uint8_t val;
@@ -243,7 +243,7 @@
                 print_debug_hex8(val);
 #endif
                 if ((i & 0x0f) == 0x0f) {
-                        print_debug("\r\n");
+                        print_debug("\n");
                 }
 		port++;
         }
@@ -256,9 +256,9 @@
         for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
 #if CONFIG_USE_INIT
-			printk_debug("\r\n%08x:", i);
+			printk_debug("\n%08x:", i);
 #else	
-			print_debug("\r\n");
+			print_debug("\n");
 			print_debug_hex32(i);
 			print_debug(":");
 #endif
@@ -270,6 +270,6 @@
              	print_debug_hex8((unsigned char)*((unsigned char *)i));
 #endif
         }
-        print_debug("\r\n");
+        print_debug("\n");
  }
 #endif
Index: src/northbridge/intel/e7520/raminit_test.c
===================================================================
--- src/northbridge/intel/e7520/raminit_test.c	(revision 3942)
+++ src/northbridge/intel/e7520/raminit_test.c	(working copy)
@@ -394,7 +394,7 @@
 #if 0
 	print_debug("spd_count: ");
 	print_debug_hex32(spd_count);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	
 }
@@ -410,9 +410,9 @@
 	reset_tests();
 	spd_fail_count = i;
 
-	print_debug("\r\nSPD will fail after: ");
+	print_debug("\nSPD will fail after: ");
 	print_debug_hex32(spd_fail_count);
-	print_debug(" accesses.\r\n");
+	print_debug(" accesses.\n");
 	
 	memcpy(&spd_data[0*256], spd_micron_512MB_DDR333, 256);
 	memcpy(&spd_data[1*256], spd_micron_512MB_DDR333, 256);
